# arm_biquad_cas_df1_32x64_ins_q31 Struct Reference

Instance structure for the high precision Q31 Biquad cascade filter. More...

`#include <arm_math.h>`

## Data Fields

uint8_t | numStages
q63_t * | pState
q31_t * | pCoeffs
uint8_t | postShift

## Detailed Description

Instance structure for the high precision Q31 Biquad cascade filter.

Examples:

  arm_graphic_equalizer_example_q31.c.

Definition at line 3539 of file arm_math.h.

## Field Documentation

uint8_t arm_biquad_cas_df1_32x64_ins_q31::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Definition at line 3541 of file arm_math.h.

q63_t* arm_biquad_cas_df1_32x64_ins_q31::pState

points to the array of state coefficients. The array is of length 4*numStages.

Definition at line 3542 of file arm_math.h.

q31_t* arm_biquad_cas_df1_32x64_ins_q31::pCoeffs

points to the array of coefficients. The array is of length 5*numStages.

Definition at line 3543 of file arm_math.h.

uint8_t arm_biquad_cas_df1_32x64_ins_q31::postShift

additional shift, in bits, applied to each output sample.

Definition at line 3544 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines